<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
//$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$objetoCalculoGerminacaoFichaPadrao = new calculoGerminacaoFichaPadrao(); //calcula todos valores finais



$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 
for($registro=$inicio;$registro<=$final;$registro++):
$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);	
$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
 $vetorRXOESP=$objetocalculoRaioX-> captura_registros_invasorasRX("1OES",$amostraLong);
 $vetorRXSILV=$objetocalculoRaioX-> captura_registros_invasorasRX("2SIL",$amostraLong);
 $vetorRXNOCT=$objetocalculoRaioX-> captura_registros_invasorasRX("3NOT",$amostraLong);
 $vetorRXNOCP=$objetocalculoRaioX-> captura_registros_invasorasRX("4NOP",$amostraLong);
 $vetorRXFRAC=$objetocalculoRaioX-> captura_registros_invasorasRX("5FRA",$amostraLong);
 $limiteOESP=sizeof($vetorRXOESP)-1;
 $limiteSILV=sizeof($vetorRXSILV)-1;
 $limiteNOCT=sizeof($vetorRXNOCT)-1;
 $limiteNOCP=sizeof($vetorRXNOCP)-1;
 $limiteFRAC=sizeof($vetorRXFRAC)-1;
 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 //$amostraLong=$resTTAP->fic_amostra;

                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
         
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza

				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=275;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,$cotaFinal);
					 
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
					 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
                     $largo1=114;
					 $largo2=43;
					 $largo3=31;
                     $posicaoCab1=$margemEsquerda+$largo1;
					 $posicaoCab2=$posicaoCab1+$largo2;
					 $pdf->SetFont('Arial','B',8);
					 
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	
					 $pdf->Line($posicaoCab2,$cota1,$posicaoCab2,$cota2);
					 //linha vertical a direita do timbre
					 $pdf->SetFont('Arial','',8);
					 
					 $cota1=5;
					 //dados do laboratorio/parte da esquerda
					 $pdf->setXY($margemEsquerda,$cota1); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[0]),0,1,'L');


					 $pdf->setXY($margemEsquerda,$cota1+5); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+10); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+15); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+20); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');

                     //parte central do cabeçalho  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
					 $pdf->SetFont('Arial','B',8);

					 $pdf->setXY($posicaoCab1,$cota1);
					 $pdf->Cell($largo2,5,utf8_decode('FICHA DE ANÁLISE MISTURA'),0,1,'L');
					 $pdf->SetFont('Arial','',8);

					 $pdf->setXY($posicaoCab1,$cota1+5);
					 $pdf->Cell($largo2,5,utf8_decode('AMOSTRA Nº:').$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],0,4),0,1,'L');//lab nome
					 
					 //trabalha o boletim  VEM ASSIM: 12/07/2018270  SENDO O 270 O NUMERO DO BOLETIM
					 $dataEboletim=$vetorRaioX[3];
                     if(strlen(trim($dataEboletim))>3):
					     list($bolData, $bolNumero,$bolOperador) = explode("*", $dataEboletim);//
						 //$bolData=substr($dataEboletim,0,8);
					     //$bolNumero=substr($dataEboletim,8);//comeca no 8
					 endif;	 
					 $pdf->setXY($posicaoCab1,$cota1+9);
					 $pdf->Cell($largo2,5,utf8_decode('BAS Nº: ').$bolNumero.'   de:'.$bolData,0,1,'L');//lab nome
					 
					 //TRABALHA O INFORME
					 $dataEinforme=$vetorRaioX[4];
                     if(strlen($dataEinforme)>3):
					     list($infData, $infNumero,$infOperador) = explode("*", $dataEInforme);//
						 //$infData=substr($dataEinforme,0,8);
					     //$infNumero=substr($dataEinforme,8);//comeca no 8
				     endif;		 
					 $pdf->setXY($posicaoCab1,$cota1+12);
					 $pdf->Cell($largo2,5,utf8_decode('INF Nº: ').$infNumero.'   de:'.$infData,0,1,'L');//lab nome
					 
					 //se por acaso ele fez informe entao pega a rubrica do informe
					 //Se fez bolteim prevalece do boletim
					 //se fez ambos prevalece o do boletim
					 if(strlen($infOperador)>1)$operadorDoc= $infOperador;
					 if(strlen($bolOperador)>1)$operadorDoc= $bolOperador;
					 
					 $pdf->setXY($posicaoCab1,$cota1+20);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->Cell($largo2,5,'Rubrica:'.utf8_decode($operadorDoc),0,1,'L');

                     //parte da direita do cabecalho 
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($posicaoCab2,$cota1);

	
					 $pdf->SetFont('Arial','',8);

			        $vetorNormas=$objetocalculo->capturaNormas("Ficha","ADV",$idLabo);
					$posicaoNorma=$margemEsquerda+$largo1+$largo2;
					 $largo2=33;;
					if(substr($cliente,0,5)!='TS LA'):
						//$pdf->Rect($posicaoNorma,5,40,15);
						$pdf->setXY($posicaoNorma,10);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[1]),0,0);
						$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
						$pdf->setXY($posicaoNorma,18);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
                    endif;


				     ################IDENTIFICACAO DA AMOSTRA##################################################
				     $largo1=100;
					 $largo2=40;
					 $largo3=54;				   

					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				    
					 //primeira linha 
					 $alturaLinhaEspecial=3.6;
					 $cota1+=25;       
					 $pdf->SetXY($margemEsquerda,$cota1);
				  	 $pdf->SetFont('Arial','B',8);
					 $pdf->Cell($largo1,5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L'); 

                     //segunda linha  					 
					 $pdf->SetXY($margemEsquerda,$cota1+1*$alturaLinhaEspecial);
					 $pdf->SetFont('Arial','I',8);
					 $pdf->Cell($largo1,5,utf8_decode($vetorCapturaGeral[30]),0,0,'L'); 
		
                     //segunda linha  					 
					 $pdf->SetXY($margemEsquerda,$cota1+2*$alturaLinhaEspecial);
					 $pdf->SetFont('Arial','',7);
					 $pdf->Cell($largo1,$alturaLinhaEspecial,utf8_decode('Cultivar:'.$vetorCapturaGeral[31]),0,0,'L');
					 $pdf->Cell($largo2,$alturaLinhaEspecial,utf8_decode('Safra:'.$vetorCapturaGeral[34]),0,0,'L');
					 $pdf->Cell($largo3,$alturaLinhaEspecial,utf8_decode('Categoria:'.$vetorCapturaGeral[33]),0,0,'L');
               
                     //terceira linha  
					 $pdf->SetXY($margemEsquerda,$cota1+3*$alturaLinhaEspecial);
					 $pdf->Cell($largo1,$alturaLinhaEspecial,utf8_decode('Lote:'.$vetorCapturaGeral[2]),0,0,'L');
					 $pdf->Cell($largo2,$alturaLinhaEspecial,utf8_decode('Represent:'.$vetorCapturaGeral[6]),0,0,'L');
					 $pdf->Cell($largo3,$alturaLinhaEspecial,utf8_decode('Balança:'.$vetorCapturaGeral[79]).'  Peso amostra:'.$vetorCapturaGeral[65],0,0,'L');
					 //quarta linha
					 $pdf->SetXY($margemEsquerda,$cota1+4*$alturaLinhaEspecial);
					
					 $pdf->Cell($largo1,$alturaLinhaEspecial,'Recebida em:'.date("d/m/Y",strtotime($vetorCapturaGeral[36])),0,0,'L');
					 $pdf->Cell($largo2,$alturaLinhaEspecial,utf8_decode('Peneira:'.$vetorCapturaGeral[35]),0,0,'L');
					 $tratamentoCampo=strtoupper($vetorCapturaGeral[66] ?? "");
                   	 if($tratamentoCampo=='-O-' || $tratamentoCampo=='-0-'):
					     $tratamentoCampo='Não tratada';				 
					 else:
					     $tratamentoCampo=$vetorCapturaGeral[66];
					 endif;
					 $pdf->Cell($largo3,$alturaLinhaEspecial,utf8_decode('Tratada:'.$tratamentoCampo),0,0,'L');
                     //quinta linha
					 $pdf->SetXY($margemEsquerda,$cota1+5*$alturaLinhaEspecial);
					 $pdf->Cell($largo1,$alturaLinhaEspecial,utf8_decode('Remetente:'.$vetorCapturaGeral[42]),0,0,'L');
					 $pdf->Cell($largo2+20,$alturaLinhaEspecial,utf8_decode('Procedência:'.$vetorCapturaGeral[58]),0,0,'L');
					 $pdf->Cell($largo3-20,$alturaLinhaEspecial,utf8_decode('Data/Ident:'.$vetorCapturaGeral[107]),0,0,'L');
                     //sexta linha
					 $pdf->SetXY($margemEsquerda,$cota1+6*$alturaLinhaEspecial);
					 $pdf->Cell(70,$alturaLinhaEspecial,utf8_decode('Registrador:'.$vetorCapturaGeral[80]),0,0,'L');
					 $pdf->Cell(110,$alturaLinhaEspecial,utf8_decode('Testes a realizar:'.$vetorCapturaGeral[44]),0,0,'L');
					 
					 //aqui vou fazer algo que depois posso colocar na classe calculos
					 //verificar se foi marcado pureza e nocivas para que coloque -O- caso nao foi solicitado isso
					 $todosTestes=$vetorCapturaGeral[44];
					 $tama=strlen($todosTestes);
					 $assinalouPUR="NAO";
					 $assinalouDOS="NAO";
					 $assinalouGER="NAO";
					 $assinalouEAC="NAO";
					 if($tama>3)://se nao marcou nada entao ne testa
                       for($i=1;$i<=$tama;$i++):
                          if(substr($todosTestes,$i,1)==";")://localiza o separador ;
                              if(substr($todosTestes,$i-3,3)=="PUR")$assinalouPUR="SIM";
                              if(substr($todosTestes,$i-3,3)=="DOS")$assinalouDOS="SIM";
                              if(substr($todosTestes,$i-3,3)=="GER")$assinalouGER="SIM";
                              if(substr($todosTestes,$i-3,3)=="EAC")$assinalouEAC="SIM";
                          endif;						  
					   endfor;                         					 
					 endif;
					 
					 
					
                     //VAI COLOCAR -O- EM TODOS LOCAIS ONDE DEU MARCOUPUREZA="NAO"					 
                     if($assinalouPUR=='NAO'):
						 $pdf->SetXY($margemEsquerda+40,$cota1+37);
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
					     $pdf->Cell(15,4.5,'-O-',0,0,'L');//no lugar do percentual
						 $pdf->Cell(20,4.5,'',0,0,'L');
					     $pdf->Cell(40,4.5,' ',0,0,'L');//no lugar do percentual
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');

                         //em outras sementes
						 $pdf->SetXY($margemEsquerda+135,$cota1+51);
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
     
                         //em outras especies cultivadas e silvestres
						 $pdf->SetXY($margemEsquerda+20,$cota1+85);
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
					 endif;
				
					 
					 
					 
                     //se marcou ncivas
                     if($assinalouDOS=='NAO'):
						 $pdf->SetXY($margemEsquerda+140,$cota1+85);
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
					 endif;



					  ##############cria setor de purezaaaa###############################################3
					 $cota1+=25;
					 $larguraPadrao=18;
					 $largo1=35;
					 $largo2=$larguraPadrao;
					 $largo3=$larguraPadrao;
					 $largo4=$larguraPadrao;
					 $largo5=$larguraPadrao;

					 $posicaoMeio=$margemEsquerda+$largo1+4*$larguraPadrao;//era 97
				     $altura=5.5;
					 $cota1a=$cota1+1*$altura;
					 $cota1b=$cota1+2*$altura;
					 $cota1c=$cota1+3*$altura;
					 $cota1d=$cota1+4*$altura;
					 $cota1e=$cota1+5*$altura;
					 $cota1f=$cota1+6*$altura;
					 $cota1g=$cota1+7*$altura;
					
				     //as linhas verticais de pureza
					 $cota4=93;
					 $posicao1=$margemEsquerda+$largo1;                        
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         
					 $posicao4=$margemEsquerda+$largo1+$largo2+$largo2+$largo2; 
				     $pdf->Line($posicao1,$cota1a,$posicao1,$cota4);//
					 $pdf->Line($posicao2,$cota1a,$posicao2,$cota4);//
					 $pdf->Line($posicao3,$cota1a,$posicao3,$cota4);//
					 $pdf->Line($posicao4,$cota1a,$posicao4,$cota4);//


				     //as linhas horizontatis  de pureza
					 $pdf->Line($margemEsquerda,$cota1b,$posicaoMeio,$cota1b);//
					 $pdf->Line($margemEsquerda,$cota1c,$posicaoMeio,$cota1c);//
					 //$pdf->Line($margemEsquerda,$cota1d,$margemDireita,$cota1d);////LINHA QUE AFICA ACIMA DE OUTRAS SMENTES
					 $pdf->Line($margemEsquerda,$cota1d,$posicaoMeio,$cota1d);////LINHA QUE AFICA ACIMA DE OUTRAS SMENTES
					 $pdf->Line($margemEsquerda,$cota1e,$posicaoMeio,$cota1e);//
					 $pdf->Line($margemEsquerda,$cota1f,$posicaoMeio,$cota1f);//
					 $pdf->Line($posicaoMeio,$cota1a,$posicaoMeio,$cota4+5);//linha vertical final de pureza e inicio de naturaza do material inerte

				     //textos de pureza
					 
					 $pdf->SetXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',10);
					 $pdf->Cell(80,5.5,utf8_decode('ANÁLISE DE PUREZA: (Em ').$vetorRaioX[97].'g)',1,0,'L');
					 $pdf->SetFont('Arial','',7);
					 $pdf->Cell(50,5.5,utf8_decode('Balança:' .$vetorRaioX[104]),1,0,'L');
					 $pdf->Cell(64,5.5,utf8_decode('Data/Rubrica:'.$vetorRaioX[154] .'/'. $vetorRaioX[153] ),1,0,'L');
					 
					 
					 
					 $pdf->SetXY($posicao1,$cota1a);
					 $pdf->Cell($largo2,4.5,'g',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'%',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'g',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'%',0,0,'C');	
					 
					 $pdf->SetXY($posicaoMeio,$cota1a);
					 $pdf->Cell(90,4.5,'Natureza do Material Inerte:',0,1,'C');
					 $pdf->SetXY($posicaoMeio,$cota1a+5);
					 
					 
					 $pdf-> MultiCell(70, 5, utf8_decode($vetorRaioX[55]),0,'L', false);
					 //$pdf->Cell(90,4.5,utf8_decode($vetorRaioX[55]),0,1,'C');// era assim ate 280520

				     //$pdf->Cell(12,4.5,$vetorRaioX[25],0,0,'L');//PERCENTAGEM INERTE
					 $pdf->SetXY($posicaoMeio,$cota1d);
					 //$pdf->Cell(90,4.5,'Outras sementes:',0,1,'L');
					 
					 
					 
					 
					 
					 
					 $pdf->SetXY($margemEsquerda,$cota1b); $pdf->Cell(50,4.5,'Amostra de Trabalho',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1c); $pdf->Cell(50,4.5,'Sementes Puras',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1d); $pdf->Cell(50,4.5,'Material inerte.',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1e); $pdf->Cell(50,4.5,'Outras sementes',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1f); $pdf->Cell(50,4.5,'Peso final',0,0,'L');	
					 $posicao1+=5;  
					 
				 if($assinalouPUR!='NAO'):  //SE MARCOU PUREZA  ELE MOSTRA CASO CONTRARIO NAO MOSTRA
					 //VALORES DE LEITURA DE PUREZA e percentagem de pureza
					 //amostra de trabalho
					 $pdf->SetXY($posicao1,$cota1b); $pdf->Cell(20,4.5,$vetorRaioX[21],0,0,'L');	//peso amostra trabalho	
					 $pdf->Cell(12,4.5,'-',0,0,'L');//KKKKKKKKKKK
					 //sementes puras
					 //vai olhar quantas casas decimais usou para pesar sementes puras e usa a mesma quantia para apresentar o s demais numeros
					 $pesoPuras=$vetorRaioX[22];
					 $posicaoVirgula=strpos($pesoPuras,".");
					 $casasDecimais=strlen($pesoPuras)-1-strpos($pesoPuras,".");
					 $pdf->SetXY($posicao1,$cota1c); $pdf->Cell(20,4.5,$vetorRaioX[22],0,0,'L');	//peso SEMENTES PURAS
					 $pdf->Cell(12,4.5,utf8_decode($vetorRaioX[15]),0,0,'L');//PERCENTAGEM PURAS
                     //material inerte
					 $pdf->SetXY($posicao1,$cota1d); $pdf->Cell(20,4.5,utf8_decode($vetorRaioX[24]),0,0,'L');	//peso INERTE
					 $pdf->Cell(12,4.5,utf8_decode($vetorRaioX[25]),0,0,'L');//PERCENTAGEM INERTE
                     //outras sementes					 
					 $pdf->SetXY($posicao1,$cota1e); $pdf->Cell(20,4.5,utf8_decode($vetorRaioX[23]),0,0,'L');	//peso OUTRAS SEMENTES
					 $pdf->Cell(12,4.5,utf8_decode($vetorRaioX[26]),0,0,'L');//PERCENTAGEM OS
                     //peso final //ajuste feito para adv novembro2019
					 $v1=$vetorRaioX[22];
					 $v2=$vetorRaioX[23];
					 $v3=$vetorRaioX[24];
                     $vFinal=$v1+$v2+$v3; 
					 $somaPesoFinal=$vetorRaioX[22]+$vetorRaioX[23]+$vetorRaioX[24];
					 $somaPesoFinal=$vFinal;

					 if($somaPesoFinal>0):
					   $somaPesoFinal=number_format($somaPesoFinal,$casasDecimais,'.',',');
					   //if($somaPesoFinal>=1 && $somaPesoFinal<10)$somaPesoFinal=number_format($somaPesoFinal,3,'.',',');
					   //if($somaPesoFinal>=10 && $somaPesoFinal<100)$somaPesoFinal=number_format($somaPesoFinal,2,'.',',');
					   //if($somaPesoFinal>=100 && $somaPesoFinal<1000)$somaPesoFinal=number_format($somaPesoFinal,1,'.',',');
					   //if($somaPesoFinal>=1000)$somaPesoFinal=number_format($somaPesoFinal,2,',','');
					 endif;
					 
					 
					 
					 $pdf->SetXY($posicao1,$cota1f); $pdf->Cell(20,4.5,$somaPesoFinal,0,0,'L');	//peso final(os+mi+pu)
                     //soma das percentagens
					 $somaPercentagens=$vetorRaioX[15]+$vetorRaioX[25]+$vetorRaioX[26];
					 $pdf->Cell(12,4.5,number_format($somaPercentagens,1,'.',','),0,0,'L');//PERCENTAGEM pesos
                 endif;					 
			     //colocar -O- nos campos inutilizads de pureza
				 $posicao1+=35;
				 $pdf->SetXY($posicao1,$cota1b); //peso amostra trabalho	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				
				 $pdf->SetXY($posicao1,$cota1c); 	//peso SEMENTES PURAS
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->SetXY($posicao1,$cota1d); 	//peso INERTE
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->SetXY($posicao1,$cota1e); 	//peso OUTRAS SEMENTES
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->SetXY($posicao1,$cota1f); 	//peso final(os+mi+pu)
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
		
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
					 $cota1+=37;
					 $largura1=58;
					 $largura2=58;
					 $largura3=58;
					 $largura4=10;
					 $largura5=10;
					 $largura6=$largura3+$largura4+$largura5;
					 //$largura3=$largura1+$largura2;

					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->Line($margemEsquerda,$cota1+1,$posicaoMeio,$cota1+1);//linha depois de peso final
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota1+1);
					 $pdf->cell(97,4.5,utf8_decode('VERIFICAÇÃO DE OC:').$vetorRaioX[251],0,0,'L');
					 $pdf->setXY(80,$cota1+1);
                      

					 $cota1+=4;
					 $cota5=$cota1+46;
			         $cota1a=$cota1+3;
			         $cota1b=$cota1+8;
			         $cota1c=$cota1+13;
					 
					 $pdf->setXY($margemEsquerda,$cota1a);
					 $pdf->SetFont('Arial','B',9);
					 $pdf->cell($largura1+$largura2,5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO:'),1,1,'L');
					 $pdf->SetFont('Arial','',7);
					 $pdf->setXY($posicao2,$cota1a);
					 $pdf->cell(53,5,utf8_decode('Data/Rubrica:'.$vetorRaioX[216].'/'.$vetorRaioX[215]),1,0,'L');
					 $pdf->cell(25,5,utf8_decode('Balança:'.$vetorRaioX[283]),1,0,'L');
					  
					 $pdf->setXY($margemEsquerda,$cota1b);
                     //OUTRAS ESPECIES CULTIVADAS
					 $pesoRetornado1=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorCapturaGeral[94]);
					 $pesoRetornado2=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorRaioX[220]);
					 $pdf->cell($largura1,4.5,utf8_decode('Espécies Cultivadas em: ').$vetorRaioX[21] .'g',1,0,'C');	 
					 
					 //SILVESTRES	
					 $pesoRetornado1=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorRaioX[21]);
					 $pesoRetornado2=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorRaioX[21]);
					 $pdf->cell($largura2,4.5,'Sementes Silvestres: em '.$vetorRaioX[21].'g',1,0,'C');
					 
					 //NOCIVAS	
					 $pesoRetornado1=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorCapturaGeral[93]);
					 $pesoRetornado2=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorRaioX[105]);
					 $pesoRetornado2=$vetorRaioX[105];
					 $pdf->cell($largura3,4.5,'Sementes Nocivas: em '.$pesoRetornado1   .'g/'. $pesoRetornado2 .'g'       ,1,0,'C');	
					 
					 
					 
					  
					 $pdf->cell($largura4,4.5,'NT',1,0,'C');
					 $pdf->cell($largura5,4.5,'NP',1,1,'C');
					 $pdf->setXY($margemEsquerda,$cota5-5);
					 $pdf->Line($margemEsquerda,$cota5-5,$margemDireita,$cota5-5);
					 $pdf->cell($largura1-10,5,'Total:',1,0,'R');
					 $pdf->cell(10,5,'',0,0,'R');
					 $pdf->cell($largura2-10,5,'Total:',1,0,'R');
					 $pdf->cell(10,5,'',0,0,'R');
					 $pdf->cell($largura3,5,'Total:',1,0,'R');
					 $pdf->setXY($posicao2,$cota1c);
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
				     //tres linhas verticais separando silvestres,nocivas e oesp 
					 $posicao3nt=$posicao2+$largura3; 
					 $posicao3np=$posicao2+$largura3+$largura4; 
					 $pdf->Line($posicao1,$cota1c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota1c,$posicao2,$cota5);
					 $pdf->Line($posicao3nt,$cota1c,$posicao3nt,$cota5);
					 $pdf->Line($posicao3np,$cota1c,$posicao3np,$cota5);
					 
				 if($assinalouPUR!='NAO')://testa se marcou pureza se sim vai mostrar dados caso contrario marca -o-
                     //imprime outras especies cultivadas					 
					 $posicaoOESP=$margemEsquerda+1;
					 $pdf->SetFont('Arial','I',7);
					 $contador=0;
                     $contaOESP=0;
					 for($i=1;$i<=$limiteOESP;$i++):
                        $contador+=4;
					    $pdf->setXY($posicaoOESP,$cota1b+$contador);
					    $pdf->cell($largura1-8,4.5,$vetorRXOESP[$i][0],0,0,'L');
					    $pdf->cell(5,4,$vetorRXOESP[$i][1],0,0,'L');
                        $contaOESP+=$vetorRXOESP[$i][1];
					 endfor;
				 //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaOESP==0):
                        $pdf->setXY($posicaoOESP+50,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;	
					 //imprime contaminantes silvestres
					 $posicaoSilvestres=$margemEsquerda+57;
					 $contador=0;
					 $contaSILV=0;
					 for($i=1;$i<=$limiteSILV;$i++):
                        $contador+=4;
					    $pdf->setXY($posicaoSilvestres,$cota1b+$contador);
					    $pdf->cell($largura1-6,4.5,$vetorRXSILV[$i][0],0,0,'L');
					    $pdf->cell(5,4,$vetorRXSILV[$i][1],0,0,'L');
                        $contaSILV+=$vetorRXSILV[$i][1];
                     endfor;
				 //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaSILV==0):
                        $pdf->setXY($posicaoSilvestres+50,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;	
                 endif;//testa se marcou pureza 					 
					 
 
				 if($assinalouDOS!='NAO'):
					 //imprime contaminantes NOCIVAS TOLERADAS
					 $posicaoNocivas=$margemEsquerda+116;
					 $contador=0;
                     $contaNOCT=0;
					 
					 $concatenadia220224="";
					 
					 $quantidadeTotalNoct=0;
					 //NOCT/////////////////////////////////////////////////////////////////////////////////
					 //NOCT/////////////////////////////////////////////////////////////////////////////////
					 //NOCT/////////////////////////////////////////////////////////////////////////////////
					 for($i=1;$i<=$limiteNOCT;$i++):
	                    $contador+=4;
						$contaminanteEnvolvidoNociva=$vetorRXNOCT[$i][0];
						$contaminanteEnvolvidoNocivaQuant=$vetorRXNOCT[$i][1];
						//$contaminanteEnvolvidoNocivaQTD=$vetorRXNOCT[$i][0];
						$quantidadePurezaNoct=0;
					    for($ipureza=0;$ipureza<=$limiteFRAC;$ipureza++):
						  $contaminanteEnvolvidoPureza=$vetorRXFRAC[$ipureza][0];
						  $concatenadia220224=$concatenadia220224.$contaminanteEnvolvidoPureza; 
						  //se for o mesmo contamianante entao ele pega o que tem na tabela frac
						  if($contaminanteEnvolvidoNociva==$contaminanteEnvolvidoPureza):
						     $fracaoPureza=$vetorRXFRAC[$ipureza][1]; 
							 $quantidadePurezaNoct=$vetorRXFRAC[$ipureza][1];
							 //$quantidadeComplementoNoct= $contaminanteEnvolvidoNocivaQuant-$fracaoPureza;
							 //$quantidadeTotalNoct=$vetorRXNOCT[$i][1];
						  endif; 
						endfor;
						//$concatenadia220224="ceno=" .$contaminanteEnvolvidoNociva." cepu=" . $contaminanteEnvolvidoPureza. " conc=". $concatenadia220224."@". $vetorRXNOCT[$i][1];
						
						if($quantidadePurezaNoct=='')$quantidadePurezaNoct='0';
					    $pdf->setXY($posicaoNocivas,$cota1b+$contador);
					    $pdf->cell($largura1+1,4.5,$vetorRXNOCT[$i][0],0,0,'L');//estava 3NOME DO CONTAMINANTES
					    //$pdf->cell(5,4,'('.$fracaoPureza.')+('.$quantidadeComplementoNoct.')',0,0,'L');
						$complemento=$contaminanteEnvolvidoNocivaQuant-$fracaoPureza;
						
						
					    $pdf->cell(5,4,'('.$fracaoPureza.')+'.'('.$complemento.')',0,0,'L');
						
						
						
						
						
						
						
                        $contaNOCT+=$vetorRXNOCT[$i][1];
                     endfor;
                     //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaNOCT==0):
                        $pdf->setXY($posicaoNocivas+60,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');	
                     endif;					 
					 //imprime os numeros parciais para fins de checagem
                     //$pdf->setXY($posicaoNocivas-50,$cota1b+15); 					 
					 //$pdf->cell($largura1+1,4.5,$concatenadia220224,0,0,'L');//estava 3
					 //$pdf->setXY($posicaoNocivas-50,$cota1b+20); 
					//$pdf->cell($largura1+1,4.5,"LN+".$limiteNOCT . " c1=".$vetorRXNOCT[1][1],0,0,'L');//estava 3
					 
                  
					 //imprime contaminantes NOCIVAS proibidas 
					 //no dia 220224eu arrumei as toleradas mas nao arrumei as proibidas
                     $contaNOCP=0;
					 for($i=1;$i<=$limiteNOCP;$i++):
                        $contador+=4;
						$quantidadeTotalNocp=$vetorRXNOCP[$i][1];
						$quantidadePurezaNocp=$vetorRXFRAC[$i][1];
						if($quantidadePurezaNocp=='')$quantidadePurezaNocp='0';
						$quantidadeComplementoNocp=$quantidadeTotalNocp-$quantidadePurezaNocp;
					    $pdf->setXY($posicaoNocivas,$cota1b+$contador);
					    $pdf->cell($largura1+10,4.5,$vetorRXNOCP[$i][0],0,0,'L');
						$complemento=$quantidadeTotalNocp-$quantidadePurezaNocp;
						
					    $pdf->cell(5,4,'('.$quantidadePurezaNocp.')+'.'('.$complemento.')',0,0,'L');
                        $contaNOCP+=$vetorRXNOCP[$i][1];
                     endfor;
					 //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaNOCP==0):
                        $pdf->setXY($posicaoNocivas+$largura1+15,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;	
			
					 		
				 endif;//TESTA SE MARCOU DOSNE
		



                     //imprime os totais de contaminantes
					 $cotaTotaisContaminantes=137;
					 //oesp
					 $pdf->setXY($posicaoOESP+48,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaOESP,0,0,'L');
                     //silv
					  $pdf->setXY($posicaoSilvestres+48,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaSILV,0,0,'L');
					 //noct
					 $pdf->setXY($posicaoNocivas+58,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaNOCT,0,0,'L');
					 //nocp
					 $pdf->setXY($posicaoNocivas+68,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaNOCP,0,0,'L');
//FIM DE DOSN///////////////////////////////////////////////////////////////////////////////				 
//FIM DE DOSN///////////////////////////////////////////////////////////////////////////////				 
//FIM DE DOSN///////////////////////////////////////////////////////////////////////////////				 
//FIM DE DOSN///////////////////////////////////////////////////////////////////////////////				 

   endif;
 endwhile; //este while abre a amostras atraves do campo amostraLong
endfor;//este endfor encerra a varredura da amostra inicial ate aa final  
			 
	

		
		
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  
//AQUI GERMINACAO 2024 QUE VAI TRAZER TANTOS REGISTROS COMO TIVER VALENDO//////////////////////////  

//AQUI MONTA A MATRIZ AO LER A TABELA especiesmix///////////////////////////////////////////////////////////
//AQUI PROCURA QUANTOS especies te e cada especie tem uma id


$generica=new tabelagenerica();
$generica->tabela="especiesmix,cultivar,especies "; 
$generica->campos_valores = array(
	"emi_germ" => NULL,
	"ctv_nome" => NULL,
	"esp_nome" => NULL,
);
$generica->extras_select =" where emi_cultivar=ctv_id and ctv_especie=esp_id  and emi_ficha=".$amostraLong;
$generica->selecionaCampos($generica);
$contaEspecies=0;
while ($resgenerica = $generica->retornaDados()):
    //captura tudo da tabela especiesmix 
    $contaEspecies++;
    $reanLong=$resgenerica->emi_germ; //quero a id do teste germ
    $cultivar=$resgenerica->ctv_nome; //quero a id do teste germ
    $especie=$resgenerica->esp_nome; //quero a id do teste germ

    //PEGA TUDO DA REAN PARA rea_id=reanLong 
	$userRean1 = new rean1();	
	$userRean1->extras_select =  " where  rea_id=".$reanLong;
	$userRean1->selecionaCampos($userRean1);
	while ($resRean1 = $userRean1->retornaDados()):
        $nomeTeste="GERM";//teste sera sempre germ
		$matrizConteudosRean[$contaEspecies][1]=$reanLong;
		$matrizConteudosRean[$contaEspecies][2]=$especie."   (".$reanLong.")";
	    $matrizConteudosRean[$contaEspecies][3]=$resRean1->rea_campo20a;//temperatura
	    $matrizConteudosRean[$contaEspecies][4]=$resRean1->rea_campo60b;//substrato
	    $matrizConteudosRean[$contaEspecies][5]=$resRean1->rea_duracao;//duracao
		$matrizConteudosRean[$contaEspecies][6]=$resRean1->rea_campo20b;//germinador
	    $matrizConteudosRean[$contaEspecies][7]=$resRean1->rea_datageralteste;//data
	    $matrizConteudosRean[$contaEspecies][8]=$resRean1->rea_operador;//analista
	    $matrizConteudosRean[$contaEspecies][9] =$resRean1->rea_campo60a;//tratamento 
	    $matrizConteudosRean[$contaEspecies][10]=$resRean1->rea_v2;//anormais
	    $matrizConteudosRean[$contaEspecies][11]=$resRean1->rea_v5;//mortas
	    $matrizConteudosRean[$contaEspecies][12]=$resRean1->rea_v4;//dormentes
	    $matrizConteudosRean[$contaEspecies][13]=$resRean1->rea_datainicio;//data final do teste
	    $matrizConteudosRean[$contaEspecies][14]=$resRean1->rea_v6;//infecionadas
		$matrizConteudosRean[$contaEspecies][15]=$resRean1->rea_v3;//duras
		$matrizConteudosRean[$contaEspecies][16]=$resRean1->rea_campo100;//observacoes
	    $matrizConteudosRean[$contaEspecies][17]=$resRean1->rea_primeira_leitura_data;//data leitura frio
		$matrizConteudosRean[$contaEspecies][18]=$resRean1->rea_lei4;//formato
		$matrizConteudosRean[$contaEspecies][19]=$resRean1->rea_v1;//normais
      endwhile;//DE UM REGISTRO DA REAN
endwhile;//DE N REGISTROS DA ESPECIESMIX

//ja vai imprimir////////////////////////////////////////////
//ja vai imprimir////////////////////////////////////////////
//ja vai imprimir////////////////////////////////////////////
//ja vai imprimir////////////////////////////////////////////
$parametroAvanco=97;
//$cota1+=46;//parametro onde comecam dados auxiliares					 
$cotaInicio=$cota1+50;//inicio da grade de leituras
//vai abrir um for que vai fechar la no final
$larguraBase=15;//largura para 4 colunas que depois divide por 2 se for 8 coluas
$pdf->SetFont('Arial','',7);
$alturaDasLinhas=4.5;
$espacamento=4;
$largura1=58;
$largura2=38;

$larguraBloco=$largura1+$largura2;
//percorre todos testes relacionado a germinacao ger,fri,eac etc
//sao sempre dois bolocos lado a lado 
//1 e 2
//3 e 4
//5 e 6 se houver
for($numeroEspecie=1; $numeroEspecie<=$contaEspecies;$numeroEspecie++):
  if($numeroEspecie==1 || $numeroEspecie==2 ):
      $cota1=142;
	  if($numeroEspecie==1)$comecoBloco=$margemEsquerda;
	  if($numeroEspecie==2)$comecoBloco=$margemEsquerda+$larguraBloco;
	  //$pdf->AddPage();//adicionando a primera pagina 
  endif;
  if( $numeroEspecie==3 || $numeroEspecie==4  ):
      $cota1=10;
	  if($numeroEspecie==3)://so da o salto de pagina se foi o tereiro teste
	      $comecoBloco=$margemEsquerda;
		  $pdf->AddPage();//adicionando nova pagina   
      endif;	  
	  if($numeroEspecie==4):
	      $comecoBloco=$margemEsquerda+$larguraBloco;
	  endif;	  
  endif;

  if( $numeroEspecie==5 || $numeroEspecie==6 ):
      $cota1=100;
	  if($numeroEspecie==5)$comecoBloco=$margemEsquerda;
	  if($numeroEspecie==6)$comecoBloco=$margemEsquerda+$larguraBloco;
	  //$pdf->AddPage();//adicionando a primera pagina 
  endif;



	//primeira linha (titulo )
	$nomeTeste=$matrizConteudosRean[$numeroEspecie][2]; 
	$pdf->setXY($comecoBloco,$cota1); 
	$pdf->cell($larguraBloco,$espacamento,utf8_decode($nomeTeste),1,0,'C',1);
	//segunda linha
	$cota1+=$espacamento;
	$pdf->setXY($comecoBloco,$cota1);
	$pdf->cell($largura1,$espacamento,'Iniciado em: '.$matrizConteudosRean[$numeroEspecie][13],1,0,'L');//GER
	$pdf->cell($largura2,$espacamento,utf8_decode('Data:').$matrizConteudosRean[$numeroEspecie][3],1,0,'L');

 //terceira  linha
	$cota1+=$espacamento;
	$pdf->setXY($comecoBloco,$cota1);
	$pdf->cell($largura1,$espacamento,'Substrato: '.utf8_decode( $matrizConteudosRean[$numeroEspecie][4]),1,0,'L');
	$pdf->cell($largura2,$espacamento,'Germ.: '.utf8_decode($matrizConteudosRean[$numeroEspecie][3]),1,0,'L');

 //quarta  linha
	$cota1+=$espacamento;
	$pdf->setXY($comecoBloco,$cota1);
	$pdf->cell($largura1,$espacamento,'Temperatura: '.utf8_decode($matrizConteudosRean[$numeroEspecie][3]),1,0,'L');
	$pdf->cell($largura2,$espacamento,'Rubrica:'.$matrizConteudosRean[$numeroEspecie][3],1,0,'L');//GER

	//quinta  linha
	$cota1+=$espacamento;
	$pdf->setXY($comecoBloco,$cota1);
	$pdf->cell($largura1,$espacamento,'Tratamento: '.utf8_decode($matrizConteudosRean[$numeroEspecie][3]),1,0,'L');
	$pdf->cell($largura2,$espacamento,'ME-'.$matrizConteudosRean[$numeroEspecie][3],1,0,'L');
	
	//dados das leituras//////////////////////////////////////////////////////////////////
	//dados das leituras//////////////////////////////////////////////////////////////////
	//dados das leituras//////////////////////////////////////////////////////////////////
	//dados das leituras//////////////////////////////////////////////////////////////////
	$reanLong=$matrizConteudosRean[$numeroEspecie][1];
	$formato=$matrizConteudosRean[$numeroEspecie][18];
    if($formato=="4x50"):
	  $base=50;
	  $baseOto=50;
	  $numeroDeColunas=4;
	endif;
    if($formato=="8x50"):
	  $base=50;
	  $numeroDeColunas=8;
	endif;
    if($formato=="4x1"):
	  $base=100;
	  $numeroDeColunas=4;
	endif;
    
	$vetorAdaptado=$objetoCalculoGerminacaoFichaPadrao->ajustaSimples($reanLong,$base,$numeroDeColunas);
        $cota=$cotaInicio;
		 $passaDados="NAO";
   		 if($teste=='GER' && $assinalouGER=='SIM')$passaDados='SIM';
   		 if($teste=='EAC' && $assinalouEAC=='SIM')$passaDados='SIM';
		 if($teste=='FRI' && $assinalouFRI=='SIM')$passaDados='SIM';
		 if($numeroDeColunas==4)$larguraColuna=$larguraBase;
		 if($numeroDeColunas==8)$larguraColuna=$larguraBase/2;
         //para resolver o caso que eu posso nao ter solicitado eac, e nem entrado la ai o numero de colunas fica zero
         if($numeroDeColunas<2)$numeroDeColunas=4;		 
		 //vai passar dados simples ou seja, sem compactacao
         //if($passaDados=='SIM'): //vai capturar  a matriz/caso contrario nem vai entrar  
		 //$base=50;
		 //$numeroDeColunas=4;
		 //$reanLong=211890;
		 $vetorAdaptado=$objetoCalculoGerminacaoFichaPadrao->ajustaSimples($reanLong,$base,$numeroDeColunas);
		
		 
		 
		 //else: //se nao passa entao coloca -n- 
		   //vai zerar todo vetor adaptado 
	       for($i=1;$i<30;$i++):
	           for($j=1;$j<=$numeroDeColunas;$j++):
			     //$vetorAdaptado[$i][$j]="-N-";
			   endfor;		
		   endfor;		
         //Sendif;//pergunta se passa 

         //coloca as letrinhas no topo das colunas
		 $vetorAdaptado[0][1]='A';
		 $vetorAdaptado[0][2]='B';
		 $vetorAdaptado[0][3]='C';
		 $vetorAdaptado[0][4]='D';
		 $vetorAdaptado[0][5]='E';
		 $vetorAdaptado[0][6]='F';
		 $vetorAdaptado[0][7]='G';
		 $vetorAdaptado[0][8]='H';
		//MATRIZ DE DIZERES(numera as linha na ficha e traz para ca hihihhi))
        $dizeres[1]='Normais';					
        $dizeres[2]='';	
        $dizeres[4]='Total';	
        $dizeres[5]='Anormais';					
        $dizeres[8]='Total';	
        $dizeres[9]='Duras( ) Dorm( )';					
        $dizeres[12]='Total';	
        $dizeres[13]='Mortas';					
        $dizeres[15]='Total';	
        $larguraDizeres=22; 
		//aqui o corpo donde estao as leituras
		$cota=$cota1;
		for($L=0;$L<=15;$L++):
		       $cota+=$alturaDasLinhas;
		       $pdf->setXY($comecoBloco,$cota);
               $pdf->Cell($larguraDizeres,$alturaDasLinhas,utf8_decode($dizeres[$L]),1,0,'C');	
			   //vai imprimir as normais restringindo o setor
               if($L>=0 && $L<4):
	               $linhaSilas=$L;			   
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++): 
		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[$linhaSilas][$coluna],1,0,'C');	
	               endfor;
               endif;
			   //imprime o total de normais
			   if($L==4):
		           for($coluna=1;$coluna<=$numeroDeColunas;$coluna++): 
		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[25][$coluna],1,0,'C');	
		           endfor;                             
               endif; 
			   
			   //vai imprimir as anormais restringindo o setor
               if($L>4 && $L<8):
	               $linhaSilas=$L;			   
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++): 
		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[$linhaSilas][$coluna],1,0,'C');	
	               endfor;
               endif;
			   
			   //imprime o total de anormais
			   if($L==8):
		           for($coluna=1;$coluna<=$numeroDeColunas;$coluna++): 
		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[26][$coluna],1,0,'C');	
		           endfor;                             
               endif; 
			   
			   ################################################################# 
			   //vai imprimir as duras + dormentes 
               if($L==9):
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++):
				      $duras=$vetorAdaptado[14][$coluna];
				      $dorme=$vetorAdaptado[15][$coluna];
                      $legendaFinal= $duras+$dorme;
					  if($teste=="EAC" && $assinalouEAC=="NAO")$legendaFinal='-N-';
					  if($teste=="GER" && $assinalouGER=="NAO")$legendaFinal='-N-';
  		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$legendaFinal,1,0,'C');	
	               endfor;
               endif;
			   //vai colocar duas linhas de brancos
               if($L>9 && $L<12):
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++):
  		              $pdf->Cell($larguraColuna,$alturaDasLinhas," ",1,0,'C');	
	               endfor;
               endif;
			   //vai imprimir o total
               if($L==12):
	               //$linhaSilas=$L+5;//resulta linha 14 do silas	que sao as dormentes		   
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++):
				      $duras=$vetorAdaptado[14][$coluna];
				      $dorme=$vetorAdaptado[15][$coluna];
                      $legendaFinal= $duras+$dorme;
					  if($teste=="EAC" && $assinalouEAC=="NAO")$legendaFinal='-N-';
					  if($teste=="GER" && $assinalouGER=="NAO")$legendaFinal='-N-';
  		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$legendaFinal,1,0,'C');	
	               endfor;
               endif;
			   
			   
	
			   ############################################################
			   //vai imprimir as mortas  restringindo o setor
               if($L>12 && $L<15):
	               $linhaSilas=$L;//resulta linha 13 do silas			   
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++):
                      //aqui vai colocar 1 linhas em branco a 14
				      if($L>13):
		                 $pdf->Cell($larguraColuna,$alturaDasLinhas,'',1,0,'C');	
					  else:
		                 $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[$linhaSilas][$coluna],1,0,'C');	
				      endif;	 
	               endfor;
               endif;
			   //imprime o total de mortas
			   if($L==15):
		           for($coluna=1;$coluna<=$numeroDeColunas;$coluna++): 
		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[28][$coluna],1,0,'C');	
		           endfor;                             
               endif;






		 endfor;//for que varia de 1 a 22 linhas
		 
		 
		 
		 //vai colocar alguns rect para as MEDIAS//////////////////////////////////////////////////
		 //vai colocar alguns rect para as MEDIAS//////////////////////////////////////////////////
		 //vai colocar alguns rect para as MEDIAS//////////////////////////////////////////////////
         $posicaoMedias=$comecoBloco+$larguraBloco-$larguraBase;
		 $x=$posicaoMedias;
		 //$x=$x=$margemEsquerda+$avancoX+$larguraBase*5+1;
		 $cotaInicio=$cota1;
		 $y=$cotaInicio+$alturaDasLinhas;
		 $Lx=$larguraBase+1;
		 $Hy=$alturaDasLinhas*15;
		 
         //vai imprimir as medias////////////////////////////////////////////////////
         $y1=$y+0*$alturaDasLinhas;$pdf->setXY($x,$y1);
         $pdf->Cell($larguraBase,$alturaDasLinhas,utf8_decode('Médias'),1,0,'C');	
	
		 
		          
 $y1=$y+0*$alturaDasLinhas;$pdf->setXY($x,$y1);  $pdf->Cell($larguraBase,$alturaDasLinhas*5,$matrizConteudosRean[$numeroEspecie][19],1,0,'C');//normais
 $y1=$y+5*$alturaDasLinhas;$pdf->setXY($x,$y1);  $pdf->Cell($larguraBase,$alturaDasLinhas*4,$matrizConteudosRean[$numeroEspecie][10],1,0,'C');	//anormais
 $y1=$y+9*$alturaDasLinhas;$pdf->setXY($x,$y1);  $pdf->Cell($larguraBase,$alturaDasLinhas*4,$matrizConteudosRean[$numeroEspecie][15],1,0,'C');	//normais
 $y1=$y+13*$alturaDasLinhas;$pdf->setXY($x,$y1);  $pdf->Cell($larguraBase,$alturaDasLinhas*3,$matrizConteudosRean[$numeroEspecie][11],1,0,'C');	//normais
	
	
	
	
	
	
	//$comecoBloco=$margemEsquerda+$larguraBloco;
endfor;//percorre todos os testes



                   //aqui de determinacoes adiconai para baixo PROVISORIAMENTE
					 $cota1+=95;
                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 //$pdf->SetFont('Arial','',8);
					 //OUTRAS DETERMINACOES LEGENDA E VALOR
					 $pdf->cell(30,4,utf8_decode('Determinações adicionais:'),0,1,'L');
					 ////////////////enxerto detes//////////////////
					 $pms=$vetorRaioX[13];
					 $inf=$vetorRaioX[18];
					 $infOriginal="orig=".$inf;
					 $infComposto=$vetorRaioX[18];//valor de inf original
					 $infLeitura1=$vetorRaioX[27];
					 $infLeitura2=$vetorRaioX[28];
					 $dtu=$vetorRaioX[20];
					 //sementes infestadas 2 casos: se colocou -n- apresenta -n- senao mostra a formulas
					 if($inf=='-N-'):
					   $infComposto='-N-';
                     else:
					   $infComposto="(".$infLeitura1." + ".$infLeitura2.")/2=".$inf; ;//valor de inf original
					 endif;	
					 //$inf=$objetocalculo->captura_OD_Especifica($amostraLong,'INF');
					 $infFinal=$infComposto;
                     $montaString="PMS=" .$pms."   INF.:=" .$infFinal."   DTU=" .$dtu    ;
				     $pdf->setXY($margemEsquerda,$cota1+5);
					 $pdf->cell(30,4,utf8_decode($montaString),0,1,'L');
					 
					 
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','',7);
					 $pdf->cell(150,3,utf8_decode('Data/Rubrica:'),0,1,'R');
					 
                     $cota1+=12;
					 

                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','',7);
					 $pdf->cell(20,4,utf8_decode('Observações:'),0,0,'L');
					 //$pdf->cell(40,4,utf8_decode($vetorCapturaGeral[37]),0,0,'L');
					 $observacaoAmostra=$vetorCapturaGeral[37];
					 $pdf-> MultiCell(150, 3, utf8_decode($observacaoAmostra),0,'L', false);
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','',7);
					 //$pdf->cell(150,3,utf8_decode('Data/Rubrica:'),0,1,'R');
					 
					 //analista rt etc
					 $cota1+=12;
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','',7);
					 $pdf->cell(25,4,utf8_decode('Analista:'),0,0,'L');
					 $pdf->cell(50,4,utf8_decode('Data:'),0,0,'R');
					 $pdf->cell(50,4,utf8_decode('RT:'),0,0,'R');
			 
ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
